diff a/src/hotspot/share/runtime/synchronizer.hpp b/src/hotspot/share/runtime/synchronizer.hpp
--- a/src/hotspot/share/runtime/synchronizer.hpp
+++ b/src/hotspot/share/runtime/synchronizer.hpp
@@ -210,10 +210,12 @@
   static void chk_in_use_entry(ObjectMonitor* n, outputStream* out,
                                int* error_cnt_p);
   static void do_final_audit_and_print_stats();
   static void log_in_use_monitor_details(outputStream* out, bool log_all);
 
+  static intptr_t get_next_hash(Thread* current, oop obj);
+
  private:
   friend class SynchronizerTest;
   friend class LightweightSynchronizer;
 
   static MonitorList _in_use_list;
